textures/asjc_stargate/gate_trim1
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/gate_trim1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/gate_trim1_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/asjc_stargate/gate_trim2
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/gate_trim2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/gate_trim2_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/asjc_stargate/gate_temp
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/gate_temp
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/gate_temp_glow
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/asjc_stargate/1
{
	q3map_material	HollowMetal
	q3map_nolightmap
    {
        animMap 15 textures/asjc_stargate/1 textures/asjc_stargate/2 textures/asjc_stargate/3 textures/asjc_stargate/4 textures/asjc_stargate/5 textures/asjc_stargate/6
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
	glow
        rgbGen wave sin 0.75 0.05 0 5
        tcMod scale 1 1
    }
}

textures/asjc_stargate/warp
{
        {
		videomap gateride.roq
		blendFunc add
		rgbGen identity
	}
}

textures/asjc_stargate/gate_red
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/gate_red
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/gate_red_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/asjc_stargate/gate_red_stripe
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/gate_red_stripe
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/gate_red_stripe_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/asjc_stargate/water1
{
	qer_editorimage	textures/asjc_stargate/water1
		surfaceparm	nonsolid
		surfaceparm	trans
		q3map_material	Water
		q3map_nolightmap
		q3map_onlyvertexlighting
		cull	twosided
		deformvertexes normal 0.1 1.85
		deformvertexes wave 128 sin -1 1.5 0.3 1
    {
        animMap 15 textures/asjc_stargate/water1 textures/asjc_stargate/water2 textures/asjc_stargate/water3 textures/asjc_stargate/water4 textures/asjc_stargate/water5 textures/asjc_stargate/water6
        blendFunc GL_DST_COLOR GL_ZERO
        alphaGen const 0.25
        tcMod scale 1 1
    }
}

textures/asjc_stargate/grate1
{
	qer_editorimage	textures/asjc_stargate/grate1
	surfaceparm	metalsteps
	surfaceparm	trans
	q3map_material	HollowMetal
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	twosided
    {
        map textures/asjc_stargate/grate1
        alphaFunc GE128
	blendFunc GL_ONE GL_ONE      
	depthWrite
    }
}

textures/asjc_stargate/a1
{	
	surfaceparm	nonsolid
	q3map_material	water
	q3map_nolightmap
    {
        animMap 15 textures/asjc_stargate/a1 textures/asjc_stargate/a2 textures/asjc_stargate/a3 textures/asjc_stargate/a4 textures/asjc_stargate/a5 textures/asjc_stargate/a6
        blendFunc GL_DST_COLOR GL_ZERO
        alphaGen const 0.25
        tcMod scale 1 1
    }
}

textures/asjc_stargate/light_grid
{
	qer_editorimage	textures/asjc_stargate/light_grid
	surfaceparm	nomarks
	q3map_material	HollowMetal
	q3map_alphashadow
	cull	twosided

    {
        map textures/asjc_stargate/light_grid
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/asjc_stargate/ag_gate_blue
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/ag_gate_blue
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/ag_gate_blue_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/asjc_stargate/ag_gate_blue_stripe
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/ag_gate_blue_stripe
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/ag_gate_blue_stripe_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/asjc_stargate/ag_glyph1
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/ag_glyph1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/1gate_temp_glow
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/asjc_stargate/ag_glyph2
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/ag_glyph2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/2gate_temp_glow
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/asjc_stargate/ag_glyph3
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/ag_glyph3
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/3gate_temp_glow
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/asjc_stargate/ag_steps
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/ag_steps
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/ag_steps_glow
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/asjc_stargate/window
{
	qer_editorimage	textures/asjc_stargate/window
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
	q3map_onlyvertexlighting
    {
        map textures/asjc_stargate/window
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen const 0.8
	rgbGen vertex
    }
}

textures/asjc_stargate/ag_window2
{
	qer_editorimage	textures/asjc_stargate/ag_window2
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
	q3map_onlyvertexlighting
    {
        map textures/asjc_stargate/ag_window2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen const 0.8
	rgbGen vertex
    }
}

textures/asjc_stargate/ag_green_light
{
    {
	map $lightmap
    }
    {
        map textures/asjc_stargate/ag_green_light
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/asjc_stargate/ag_green_light_glow
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
     }
}