textures/Asjc_padme/pad_walllight
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_walllight
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/pad_walllight_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/Asjc_padme/pad_wall_blue
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_wall_blue
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/env_pad_wall_blue
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.25
        tcGen environment
    }
}

textures/Asjc_padme/pad_lightstrip
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_lightstrip
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/pad_lightstrip_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/Asjc_padme/window
{
	qer_editorimage	textures/Asjc_padme/window.png
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/Asjc_padme/window_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	tcGen environment
    }
}

textures/skies/padmesjc
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/Asjc_padme/pad 512 -
}

textures/Asjc_padme/pad_door_light
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_door_light
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/pad_door_light_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/Asjc_padme/windowhall
{
	qer_editorimage	textures/Asjc_padme/windowhall.png
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/Asjc_padme/windowhall_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	tcGen environment
    }
}

textures/Asjc_padme/windowext
{
	qer_editorimage	textures/Asjc_padme/windowext.png
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/Asjc_padme/windowext_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	tcGen environment
    }
}

textures/Asjc_padme/windowbed
{
	qer_editorimage	textures/Asjc_padme/windowbed.png
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/Asjc_padme/windowbed_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	tcGen environment
    }
}

textures/Asjc_padme/pad_bedroom
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_bedroom
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/pad_bedroom_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/Asjc_padme/pad_shirt_2
{
	q3map_nolightmap
	cull	twosided
    {
	map textures/Asjc_padme/pad_shirt_2
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
	glow
        rgbGen vertex
        tcMod scale 1 1
    }
}

textures/Asjc_padme/pad_shirt_3
{
	q3map_nolightmap
	cull	twosided
    {
	map textures/Asjc_padme/pad_shirt_3
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen const 0.4
	rgbGen vertex
        tcMod scale 1 1
    }
}

textures/Asjc_padme/pad_shirt_1
{
	q3map_nolightmap
	cull	twosided
    {
	map textures/Asjc_padme/pad_shirt_1
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
	glow
        rgbGen vertex
        tcMod scale 1 1
    }
}

textures/Asjc_padme/pad_bedend
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_bedend
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/env_pad_bedend
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.25
        tcGen environment
    }
}

textures/Asjc_padme/pad_chair_design1
{
	q3map_nolightmap
	cull	twosided
    {
	map textures/Asjc_padme/pad_chair_design1
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
	glow
        rgbGen vertex
        tcMod scale 1 1
    }
}

textures/Asjc_padme/pad_chair_design1a
{
	q3map_nolightmap
	cull	twosided
    {
	map textures/Asjc_padme/pad_chair_design1a
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
	glow
        rgbGen vertex
        tcMod scale 1 1
    }
}

textures/Asjc_padme/pad_chair_design2
{
	q3map_nolightmap
	cull	twosided
    {
	map textures/Asjc_padme/pad_chair_design2
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
	glow
        rgbGen vertex
        tcMod scale 1 1
    }
}

textures/Asjc_padme/pad_ext
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_ext
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/pad_ext_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0.75 0.05 0 5
    }
    {
        map textures/Asjc_padme/windowext_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_padme/pad_ext_2
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_ext_2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/windowext_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_padme/pad_ext_3
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_padme/pad_ext_3
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/windowext_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_palp/window
{
	qer_editorimage	textures/Asjc_palp/window.png
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/Asjc_palp/window_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.2
	tcGen environment
    }
}

textures/Asjc_starship/silver
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/silver
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/hull_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_starship/silver_wing
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/silver_wing
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/hull_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_starship/silver_hull2
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/silver_hull2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/hull_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_starship/silver_hull_underside
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/silver_hull_underside
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/hull_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_starship/silver_wing
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/silver_wing_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0.75 0.05 0 5
    }
    {
        map textures/Asjc_starship/silver_wing
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/Asjc_starship/hull
{
	q3map_nolightmap
    {
	map textures/Asjc_starship/hull
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
        tcMod scale 1 1
    }
    {
	map textures/Asjc_starship/hull_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
	tcGen environment
    }
}

textures/Asjc_starship/hull_inside
{
	q3map_nolightmap
    {
	map textures/Asjc_starship/hull_inside
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
        tcMod scale 1 1
    }

}

textures/Asjc_starship/ramp1
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/ramp1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/ramp_glw
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/Asjc_starship/ramp2
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/ramp2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/ramp1_glw
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/Asjc_starship/light_panel
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/light_panel
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/wall_panel_glw
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/Asjc_starship/hold_door1
{
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/hold_door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/hold_door1_glw
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/Asjc_starship/hold_floor1a
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_starship/hold_floor1a
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_starship/env_hold_floor1a
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.10
        tcGen environment
    }
}