textures/wookie/terrain_base
{
	nopicmips
	q3map_material	ShortGrass
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}

textures/wookie/terrain_0
{
	q3map_baseshader textures/wookie/terrain_base
	qer_editorimage textures/wookiesjc/rock.jpg
	{
		map textures/wookiesjc/rock.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wookie/terrain_1
{
	q3map_baseshader textures/wookie/terrain_base
	qer_editorimage textures/wookiesjc/grass.jpg
	{
		map textures/wookiesjc/grass.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wookie/terrain_2
{
	q3map_baseshader textures/wookie/terrain_base
	qer_editorimage textures/wookiesjc/mud.jpg
	{
		map textures/wookiesjc/mud.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wookie/terrain_0to1
{
	q3map_baseshader textures/wookie/terrain_base
	qer_editorimage textures/wookiesjc/rock.jpg
	{
		map textures/wookiesjc/rock.jpg
	}
	{
		map textures/wookiesjc/grass.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wookie/terrain_0to2
{
	q3map_baseshader textures/wookie/terrain_base
	qer_editorimage textures/wookiesjc/rock.jpg
	{
		map textures/wookiesjc/rock.jpg
	}
	{
		map textures/wookiesjc/mud.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wookie/terrain_1to2
{
	q3map_baseshader textures/wookie/terrain_base
	qer_editorimage textures/wookiesjc/grass.jpg
	{
		map textures/wookiesjc/grass.jpg
	}
	{
		map textures/wookiesjc/mud.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/skies/wookie
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/wookiesjc/wookie 512 -
}

textures/wookiesjc/treesjc
{
	qer_editorimage	textures/wookiesjc/treesjc
	surfaceparm	nomarks
	surfaceparm	nonsolid
	q3map_alphashadow
	cull	twosided
	deformvertexes	wave	300 sin 0 3 4 0.55
    {
        map textures/wookiesjc/treesjc
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/wookiesjc/fernsjc
{
	qer_editorimage	textures/wookiesjc/fernsjc
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
	q3map_onlyvertexlighting
	deformvertexes	wave	300 sin 110 3 4 0.55
    {
        map textures/wookiesjc/fernsjc
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen const 0.4
	rgbGen vertex
    }
}

textures/wookiesjc/water1
{
		qer_editorimage	textures/wookiesjc/water1
		surfaceparm	nonsolid
		surfaceparm	trans
		q3map_material	Water
		q3map_nolightmap
		q3map_onlyvertexlighting
		cull	twosided
		deformvertexes normal 0.1 1.85
		deformvertexes wave 128 sin -1 1.5 0.3 1

    { 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.001 .002

		}
		{
			map textures/wookiesjc/reflection2
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			alphaGen const 0.4
			rgbGen vertex
		}
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .001 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .015
		}
		

}